--- old/usr/src/tools/smatch/src/smatch_buf_comparison.c	2019-03-18 19:38:51.926450320 +0000
+++ new/usr/src/tools/smatch/src/smatch_buf_comparison.c	2019-03-18 19:38:51.945319480 +0000
@@ -586,6 +586,10 @@
 		add_allocation_function("devm_kcalloc", &match_calloc, 1);
 		add_allocation_function("kmalloc_array", &match_calloc, 0);
 		add_allocation_function("krealloc", &match_alloc, 1);
+	} else if (option_project == PROJ_ILLUMOS_USER) {
+		add_allocation_function("libld_malloc", &match_alloc, 0);
+		add_allocation_function("libld_calloc", &match_calloc, 0);
+		add_allocation_function("libld_realloc", &match_calloc, 1);
 	}
 
 	add_hook(&array_check, OP_HOOK);
